## uwsgi 2.0.24

=== debian/changelog ===
uwsgi (2.0.24-2ubuntu10) noble; urgency=medium

  * d/control: Limit dependency on uwsgi-plugin-rados to supported
    architectures, resolving installability on armhf.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Apr 2024 17:23:48 +0100

uwsgi (2.0.24-2ubuntu9) noble; urgency=medium

  * d/control: Drop support for Ceph RADOS on 32 bit architectures
    (LP: #2061815).

 -- James Page <james.page@ubuntu.com>  Wed, 17 Apr 2024 05:25:55 +0100

uwsgi (2.0.24-2ubuntu8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:20:48 +1100

uwsgi (2.0.24-2ubuntu7) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:06:43 +0000

uwsgi (2.0.24-2ubuntu6) noble; urgency=medium

  * Try harder to drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 12:15:37 +0100

uwsgi (2.0.24-2ubuntu5) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:55:19 +0100

uwsgi (2.0.24-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:09:29 +0000

uwsgi (2.0.24-2ubuntu2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:43:52 +0100

uwsgi (2.0.24-2ubuntu1) noble; urgency=medium

  * d/control: rename uwsgi-plugin-rack-ruby3.1 to uwsgi-plugin-rack-ruby3.2

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 04:56:59 -0300

uwsgi (2.0.24-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add debian/uwsgi.pydist for dh-python3 map;
    closes: #1060234, thanks to Jérémy Lal

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:46:57 +0100

uwsgi (2.0.24-1) unstable; urgency=medium

  * update and unfuzz patches
  * move system units to /usr for DEP17;
    closes: bug#1063691, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:29:35 +0100
