=== debian/control ===
Source: uwsgi
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Alexandre Rossi <niol@zincube.net>,
Build-Depends-Indep:
 shellcheck <!nocheck>,
Build-Depends:
 2to3,
 apache2-dev | apache2-threaded-dev,
 cdbs,
 cli-common-dev [amd64 arm64 armel armhf i386 ppc64el s390x],
 debhelper,
 dh-apache2 | apache2-dev,
 dh-buildinfo,
 dh-python,
 gccgo [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 help2man,
 java-common,
 javahelper,
 libacl1-dev,
 libapr1-dev,
 libaprutil1-dev,
 libbz2-dev,
 libcap-dev [linux-any],
 libcurl4-openssl-dev,
 libdb-dev,
 libgeoip-dev,
 libgloox-dev,
 libglusterfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 libjail-dev [kfreebsd-any],
 libjansson-dev,
 libkvm-dev [kfreebsd-any],
 libldap2-dev,
 liblua5.1-0-dev,
 libonig-dev,
 libpam0g-dev,
 libpcre2-dev,
 libperl-dev,
 libpq-dev,
 librados-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
 libwrap0-dev,
 libxml2-dev,
 libxslt1-dev,
 libyajl-dev,
 libyaml-dev,
 libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
 mono-devel [amd64 arm64 armel armhf i386 ppc64el s390x],
 openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 pkg-config,
 python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 python3,
 python3-all-dev,
 python3-greenlet [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 ruby,
 ruby-all-dev | ruby-dev,
 uuid-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
Rules-Requires-Root: no

Package: libapache2-mod-ruwsgi
Architecture: any
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Conflicts:
 libapache2-mod-uwsgi,
Replaces:
 libapache2-mod-uwsgi,
Description: uwsgi module for Apache2 (mod_Ruwsgi)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 This package provides Apache2 module for communicating with uWSGI.
 .
 This is the second module developed and it's more Apache2 API friendly.

Package: libapache2-mod-ruwsgi-dbg
Architecture: any
Section: debug
Depends:
 libapache2-mod-ruwsgi (= ${binary:Version}),
 ${misc:Depends},
Description: debugging symbols for Apache2 mod_Ruwsgi
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for Apache2 mod_Ruwsgi. Install this
 package if you need to debug module or if you need a useful backtrace of a
 crash.

Package: libapache2-mod-uwsgi
Architecture: any
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Conflicts:
 libapache2-mod-ruwsgi,
Replaces:
 libapache2-mod-ruwsgi,
Description: uwsgi module for Apache2 (mod_uwsgi)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 This package provides Apache2 module for communicating with uWSGI.
 .
 This is the first module developed, it is stable but a bit hacky (it does not
 fully use the Apache2 API).

Package: libapache2-mod-uwsgi-dbg
Architecture: any
Section: debug
Depends:
 libapache2-mod-uwsgi (= ${binary:Version}),
 ${misc:Depends},
Description: debugging symbols for Apache2 mod_uwsgi
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for Apache2 mod_uwsgi. Install this
 package if you need to debug module or if you need a useful backtrace of a
 crash.

Package: python3-uwsgidecorators
Architecture: all
Section: python
Depends:
 uwsgi-core,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: module of decorators for elegant access to uWSGI API (Python 3)
 uwsgidecorators is a simple Python module that exports a bunch of decorators
 to allow a more elegant approach to uWSGI API. Provided decorators helps with
 creating of RPC functions, timers, filemonitors.
 .
 This package provides uwsgidecorators module
 for Python 3.
 .
 uwsgidecorators module is not targeted at Python 3 officially, so some
 decorators may work improperly or not at all.

Package: uwsgi
Architecture: any
Priority: optional
Depends:
 lsb-base,
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI daemon(s) with options defined in custom
    user-created configuration files
  * infrastructure for running daemons (like common locations of communication
    sockets, logs)

Package: uwsgi-app-integration-plugins
Architecture: any
Depends:
 uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 uwsgi-plugin-lua5.1 (= ${binary:Version}),
 uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 ppc64el s390x],
 uwsgi-plugin-psgi (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
 uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
 ${misc:Depends},
Description: plugins for integration of uWSGI and application
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides plugins for integration of uWSGI and
 application:
  * GNU Go
  * Java (OpenJDK 17)
  * JWSGI (OpenJDK 17)
  * Lua WSAPI (Lua 5.1)
  * Mono/ASP.NET
  * Perl PSGI
  * Python WSGI (Python 3)
  * Rack (${uwsgi:RubyKinds})
 .
 Java and Mono plugins are provided only on supported architectures.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-dev,
 uwsgi-extra,
 uwsgi-plugins-all,
Replaces:
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen,
 wsgi-plugin-admin,
Conflicts:
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen,
 wsgi-plugin-admin,
Provides:
 ${cdbs:Provides},
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides core uWSGI binary (built without any embedded
 plugins) and plugins with no or few dependencies:
 .
 ${uwsgi:corepluginlist}
 .
 forkptyrouter, systemd and tuntap are provided
 only on supported architectures.
 .
 Developing external uWSGI plugin requires the package uwsgi-dev.

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 uwsgi-plugins-all,
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends:
 uwsgi-src (= ${source:Version}),
 ${cdbs:Depends},
 ${misc:Depends},
Recommends:
 ${cdbs:Recommends},
Enhances:
 ${cdbs:Enhances},
Provides:
 dh-sequence-uwsgi,
Description: fast, self-healing application container server (headers)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package provides development headers and tools needed to develop
 external uWSGI plugins, either contained in this package or pulled in
 through depending on development packages of dependent projects.

Package: uwsgi-emperor
Architecture: any
Priority: optional
Depends:
 uwsgi-core (= ${binary:Version}),
 ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
