## uwsgi 2.0.26

=== debian/changelog ===
uwsgi (2.0.26-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: rename uwsgi-plugin-rack-ruby3.1 to uwsgi-plugin-rack-ruby3.2

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 06:56:09 +0100

uwsgi (2.0.26-2) unstable; urgency=medium

  * drop 2to3 build-dep (Closes: #1073232)
  * fix python3-uwsgidecorators description regarding py3 compat
  * don't suggest cherokee web server (removed from Debian in 2012)
  * fix installable-field-mirrors-source Priority

 -- Alexandre Rossi <niol@zincube.net>  Mon, 15 Jul 2024 09:47:19 +0200

uwsgi (2.0.26-1) unstable; urgency=medium

  * New upstream version 2.0.26
  * silence lintian on plugins needing linking to libc (unneeded)
  * remove shebang on initscript modules that are only sourced
  * remove obolete Provides/Conflicts of uwsgi-core
  * uwsgi-emperor is arch independent
  * drop useless build dep on libbz2-dev, libdb-dev, libonig-dev
  * drop 1007_purge_lru-restore-fix.patch (already applied in source)
  * unfuzz patches
  * run upstream integration tests as autopkgtest

 -- Alexandre Rossi <niol@zincube.net>  Fri, 07 Jun 2024 14:14:18 +0200

uwsgi (2.0.25.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * drop useless dependency on lsb-base
  * build-Depend on pkgconf (not pkg-config)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Apr 2024 01:57:51 +0200

uwsgi (2.0.24-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * disable rados plugin on 32 bits archs;
    closes: #1053196, thanks to Thomas Goirand
  * drop useless dep on python3-distutils;
    closes: #1065996, thanks to Graham Inggs
  * fix bashism in initscript;
    closes: #772386, thanks to Raphael Geissert

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Apr 2024 22:01:33 +0200
