=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends-Indep:
  shellcheck <!nocheck>,
 Build-Depends:
- 2to3,
  apache2-dev | apache2-threaded-dev,
  cdbs,
  cli-common-dev [amd64 arm64 armel armhf i386 ppc64el s390x],
@@ -24,10 +23,8 @@
  libacl1-dev,
  libapr1-dev,
  libaprutil1-dev,
- libbz2-dev,
  libcap-dev [linux-any],
  libcurl4-openssl-dev,
- libdb-dev,
  libgeoip-dev,
  libgloox-dev,
  libglusterfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
@@ -36,7 +33,6 @@
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
  liblua5.1-0-dev,
- libonig-dev,
  libpam0g-dev,
  libpcre2-dev,
  libperl-dev,
@@ -53,7 +49,7 @@
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  mono-devel [amd64 arm64 armel armhf i386 ppc64el s390x],
  openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
- pkg-config,
+ pkgconf,
  python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  python3,
  python3-all-dev,
@@ -62,7 +58,7 @@
  ruby-all-dev | ruby-dev,
  uuid-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
 Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
@@ -156,17 +152,11 @@
  to allow a more elegant approach to uWSGI API. Provided decorators helps with
  creating of RPC functions, timers, filemonitors.
  .
- This package provides uwsgidecorators module
- for Python 3.
- .
- uwsgidecorators module is not targeted at Python 3 officially, so some
- decorators may work improperly or not at all.
+ This package provides uwsgidecorators module for Python 3.
 
 Package: uwsgi
 Architecture: any
-Priority: optional
-Depends:
- lsb-base,
+Depends:
  uwsgi-core (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -227,55 +217,14 @@
 
 Package: uwsgi-core
 Architecture: any
-Priority: optional
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
+ nginx-full | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
  uwsgi-dev,
  uwsgi-extra,
  uwsgi-plugins-all,
-Replaces:
- uwsgi-plugin-cache,
- uwsgi-plugin-carbon,
- uwsgi-plugin-cgi,
- uwsgi-plugin-echo,
- uwsgi-plugin-emperor-zeromq,
- uwsgi-plugin-fastrouter,
- uwsgi-plugin-http,
- uwsgi-plugin-logsocket,
- uwsgi-plugin-nagios,
- uwsgi-plugin-ping,
- uwsgi-plugin-router-static,
- uwsgi-plugin-rpc,
- uwsgi-plugin-rrdtool,
- uwsgi-plugin-rsyslog,
- uwsgi-plugin-signal,
- uwsgi-plugin-symcall,
- uwsgi-plugin-syslog,
- uwsgi-plugin-ugreen,
- wsgi-plugin-admin,
-Conflicts:
- uwsgi-plugin-cache,
- uwsgi-plugin-carbon,
- uwsgi-plugin-cgi,
- uwsgi-plugin-echo,
- uwsgi-plugin-emperor-zeromq,
- uwsgi-plugin-fastrouter,
- uwsgi-plugin-http,
- uwsgi-plugin-logsocket,
- uwsgi-plugin-nagios,
- uwsgi-plugin-ping,
- uwsgi-plugin-router-static,
- uwsgi-plugin-rpc,
- uwsgi-plugin-rrdtool,
- uwsgi-plugin-rsyslog,
- uwsgi-plugin-signal,
- uwsgi-plugin-symcall,
- uwsgi-plugin-syslog,
- uwsgi-plugin-ugreen,
- wsgi-plugin-admin,
 Provides:
  ${cdbs:Provides},
 Description: fast, self-healing application container server (core)
@@ -342,13 +291,11 @@
  through depending on development packages of dependent projects.
 
 Package: uwsgi-emperor
-Architecture: any
-Priority: optional
-Depends:
- uwsgi-core (= ${binary:Version}),
+Architecture: all
+Depends:
+ uwsgi-core,
  ${cdbs:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Description: fast, self-healing application container server (emperor scripts)
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -356,3 +303,32 @@
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
  supports various forms of green threads/coroutines (such as uGreen, Greenlet,
+ Fiber). uWSGI provides several methods of configuration: via command line,
+ via environment variables, via XML, INI, YAML configuration files, via LDAP
+ and more.
+ .
+ On top of all this, it is designed to be fully modular. This means that
+ different plugins can be used in order to add compatibility with tons of
+ different technology on top of the same core.
+ .
+ This package depends on uWSGI core binary and installs:
+  * init.d script for running uWSGI Emperor daemon with options defined in
+    custom user-created configuration files
+  * basic configuration for running uWSGI Emperor daemon
+
+Package: uwsgi-extra
+Architecture: all
+Depends:
+ ${misc:Depends},
+Description: fast, self-healing application container server (extra files)
+ uWSGI presents a complete stack for networked/clustered web applications,
+ implementing message/object passing, caching, RPC and process management.
+ .
+ This package provides extra files from uWSGI distribution.
+
+Package: uwsgi-infrastructure-plugins
+Architecture: any
+Depends:
+ uwsgi-plugin-alarm-curl (= ${binary:Version}),
+ uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
+ uwsgi-plugin-curl-cron (= ${binary:Version}),
