=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # the equivalent of "uwsgi-core --dot-h | md5sum" at runtime
 abi = $(firstword $(shell echo | cat uwsgi.h - | md5sum))
 
-CDBS_BUILD_DEPENDS +=, $(deps-lib), 2to3
+CDBS_BUILD_DEPENDS +=, $(deps-lib)
 CDBS_DEPENDS_uwsgi-dev +=, $(deps-lib), $(deps-dev)
 CDBS_RECOMMENDS_uwsgi-dev +=, $(deps-dev-recommends)
 CDBS_PROVIDES_uwsgi-core +=, uwsgi-abi-$(abi)
