=== debian/tests/control ===
Tests: integration
Depends: uwsgi-core, python3-requests, uwsgi-plugin-python3
Restrictions: allow-stderr
